<%--
 =================================================================
  Licensed Materials - Property of IBM

  WebSphere Commerce

  (C) Copyright IBM Corp. 2008, 2009 All Rights Reserved.

  US Government Users Restricted Rights - Use, duplication or
  disclosure restricted by GSA ADP Schedule Contract with
  IBM Corp.
 =================================================================
--%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://commerce.ibm.com/base" prefix="wcbase" %>
<%@ taglib uri="flow.tld" prefix="flow" %>
<%@ include file="../../include/JSTLEnvironmentSetup.jspf"%>
<%@ include file="../../include/nocache.jspf"%>
<%@ taglib uri="http://commerce.ibm.com/foundation" prefix="wcf" %>
<c:set var="isAjax" value="false"/>
<flow:ifEnabled feature="AjaxMyAccountPage">
	<c:set var="isAjax" value="true"/>
</flow:ifEnabled>

<wcf:url var="AjaxMyAccountCenterLinkDisplayURL" value="AjaxLogonFormCenterLinksDisplayView" type="Ajax">    
	<wcf:param name="storeId"   value="${WCParam.storeId}"  />
	<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
	<wcf:param name="langId" value="${langId}" />
	<wcf:param name="myAcctUpdate" value="1" />
</wcf:url>

<wcf:url var="AjaxCheckoutDisplayViewURL" value="AjaxCheckoutDisplayView">
	<wcf:param name="storeId"   value="${WCParam.storeId}"  />
	<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
	<wcf:param name="langId" value="${langId}" />
</wcf:url>
<wcf:url var="OrderCalculateURL" value="OrderCalculate">
	<wcf:param name="storeId"   value="${WCParam.storeId}"  />
	<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
	<wcf:param name="langId" value="${langId}" />
</wcf:url>
<wcf:url var="AddressFormURL" value="AjaxQuickCheckoutAddressForm" type="Ajax">
	<wcf:param name="storeId"   value="${WCParam.storeId}"  />
	<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
	<wcf:param name="langId" value="${langId}" />
</wcf:url>
<wcf:url var="EditAddAddressURL" value="AjaxAccountAddressForm" type="Ajax">
	<wcf:param name="storeId"   value="${WCParam.storeId}"  />
	<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
	<wcf:param name="langId" value="${langId}" />
</wcf:url>
<wcf:url var="PrepareOrderURL" value="OrderProcessServiceOrderPrepare">
	<wcf:param name="storeId"   value="${WCParam.storeId}"  />
	<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
	<wcf:param name="langId" value="${langId}" />
	<wcf:param name="URL" value="${AjaxCheckoutDisplayViewURL}" />
</wcf:url>
<wcf:url var="profileFormViewURL" value="AjaxProfileFormView" type="Ajax">
	<wcf:param name="storeId"   value="${WCParam.storeId}"  />
	<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
	<wcf:param name="langId" value="${langId}" />
</wcf:url>
<wcf:url var="trackOrderStatusURL" value="AjaxTrackOrderStatus" type="Ajax">
	<wcf:param name="storeId"   value="${WCParam.storeId}"  />
	<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
	<wcf:param name="langId" value="${langId}" />
</wcf:url>
<wcf:url var="interestItemDisplayURL" value="AjaxAccountWishListDisplayView" type="Ajax">
	<wcf:param name="storeId"   value="${WCParam.storeId}"  />
	<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
	<wcf:param name="langId" value="${langId}" />
	<wcf:param name="listId" value="." />
</wcf:url>
<wcf:url var="couponWalletURL" value="CouponWallet" type="Ajax">
	<wcf:param name="storeId"   value="${WCParam.storeId}"  />
	<wcf:param name="catalogId" value="${WCParam.catalogId}"/>
	<wcf:param name="langId" value="${langId}" />
</wcf:url>
<wcf:url var="MyAccountURL" value="AjaxLogonForm">
  <wcf:param name="langId" value="${langId}" />
  <wcf:param name="storeId" value="${WCParam.storeId}" />
  <wcf:param name="catalogId" value="${WCParam.catalogId}" />
  <wcf:param name="myAcctMain" value="1" />
</wcf:url>

<c:set var="myAccountPage" value="true" scope="request"/>
<c:set var="hasBreadCrumbTrail" value="false" scope="request"/>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
xmlns:wairole="http://www.w3.org/2005/01/wai-rdf/GUIRoleTaxonomy#"
xmlns:waistate="http://www.w3.org/2005/07/aaa" lang="${shortLocale}" xml:lang="${shortLocale}">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><fmt:message key="MA_MYACCOUNT" bundle="${storeText}"/></title>
<link href="<c:out value="${jspStoreImgDir}${vfileStylesheet}"/>" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="<c:out value="${jspStoreImgDir}${vfileStylesheetprint}"/>" type="text/css" media="print"/>
<!--[if lte IE 6]>
<link rel="stylesheet" href="<c:out value="${jspStoreImgDir}${vfileStylesheetie}"/>" type="text/css"/>
<![endif]-->
<%@ include file="../../Snippets/ReusableObjects/AddressHelperCountrySelection.jspf" %>
<script type="text/javascript" src="<c:out value="${dojoFile}"/>" djConfig="${dojoConfigParams}">
</script>

<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/UserArea/AddressHelper.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/CheckoutArea/CheckoutPayments.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/UserArea/AddressBookForm.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/UserArea/MyAccountDisplay.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/Common.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/ErrorHandle.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/UserArea/QuickCheckoutProfile.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/UserArea/AccountWishListDisplay.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/CatalogArea/CategoryDisplay.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/CatalogArea/CompareProduct.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}javascript/UserArea/MyAccountServicesDeclaration.js"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}Lab2/AjaxOrderStatus.js"/>"></script>
<script type="text/javascript">
	dojo.addOnLoad(function() {
		categoryDisplayJS.setCommonParameters('${WCParam.langId}','${WCParam.storeId}','${WCParam.catalogId}','${userType}');
		MyAccountServicesDeclarationJS.setCommonParameters('${WCParam.langId}','${WCParam.storeId}','${WCParam.catalogId}');

	ErrorHandler.setErrorMessage("ERROR_NicknameTooLong", "<fmt:message key="ERROR_NicknameTooLong" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_FirstNameTooLong", "<fmt:message key="ERROR_FirstNameTooLong" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_LastNameTooLong", "<fmt:message key="ERROR_LastNameTooLong" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_AddressTooLong", "<fmt:message key="ERROR_AddressTooLong" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_CityTooLong", "<fmt:message key="ERROR_CityTooLong" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_StateTooLong", "<fmt:message key="ERROR_StateTooLong" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_CountryTooLong", "<fmt:message key="ERROR_CountryTooLong" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_ZipCodeTooLong", "<fmt:message key="ERROR_ZipCodeTooLong" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_PhoneTooLong", "<fmt:message key="ERROR_PhoneTooLong" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_NicknameEmpty", "<fmt:message key="ERROR_NicknameEmpty" bundle="${storeText}"/>");
	/*Although for English, firstname is not mandatory. But it is mantagory for other languages.*/
    ErrorHandler.setErrorMessage("ERROR_FirstNameEmpty", "<fmt:message key="ERROR_FirstNameEmpty" bundle="${storeText}"/>");		
	ErrorHandler.setErrorMessage("ERROR_LastNameEmpty", "<fmt:message key="ERROR_LastNameEmpty" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_AddressEmpty", "<fmt:message key="ERROR_AddressEmpty" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_CityEmpty", "<fmt:message key="ERROR_CityEmpty" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_StateEmpty", "<fmt:message key="ERROR_StateEmpty" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_CountryEmpty", "<fmt:message key="ERROR_CountryEmpty" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_ZipCodeEmpty", "<fmt:message key="ERROR_ZipCodeEmpty" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_PhonenumberEmpty", "<fmt:message key="ERROR_PhonenumberEmpty" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("AB_UPDATE_SUCCESS", "<fmt:message key="AB_UPDATE_SUCCESS" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("AB_DELETE_SUCCESS", "<fmt:message key="AB_DELETE_SUCCESS" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("QC_UPDATE_SUCCESS", "<fmt:message key="QC_UPDATE_SUCCESS" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("AB_ADDNEW_SUCCESS", "<fmt:message key="AB_ADDNEW_SUCCESS" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_EmailEmpty", "<fmt:message key="ERROR_EmailEmpty" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("PWDREENTER_DO_NOT_MATCH", "<fmt:message key="PWDREENTER_DO_NOT_MATCH" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("REQUIRED_FIELD_ENTER", "<fmt:message key="REQUIRED_FIELD_ENTER" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_INVALIDPHONE", "<fmt:message key="ERROR_INVALIDPHONE" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_DEFAULTADDRESS", "<fmt:message key="ERROR_DEFAULTADDRESS" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_SELECTADDRESS", "<fmt:message key="ERROR_SELECTADDRESS" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_INVALIDEMAILFORMAT", "<fmt:message key="ERROR_INVALIDEMAILFORMAT" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("QUANTITY_INPUT_ERROR", "<fmt:message key="QUANTITY_INPUT_ERROR" bundle="${storeText}"/>");
	
	var centerLinkUrl = "${AjaxMyAccountCenterLinkDisplayURL}";
	
	var centerLinkWidgetId = "MyAccountCenterLinkDisplay_Widget";
	ErrorHandler.setErrorMessage("WISHLIST_MISSINGNAME", "<fmt:message key="WISHLIST_MISSINGNAME" bundle="${storeText}" />");
	ErrorHandler.setErrorMessage("WISHLIST_MISSINGEMAIL", "<fmt:message key="WISHLIST_MISSINGEMAIL" bundle="${storeText}" />");
	ErrorHandler.setErrorMessage("WISHLIST_INVALIDEMAILFORMAT", "<fmt:message key="WISHLIST_INVALIDEMAILFORMAT" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("WISHLIST_EMPTY", "<fmt:message key="WISHLIST_EMPTY" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("INVALID_EXPIRY_DATE", "<fmt:message key="EDPPaymentMethods_INVALID_EXPIRY_DATE" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("WISHLIST_ADDEDTOCART","<fmt:message key="WISHLIST_ADDEDTOCART" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("WISHLIST_REMOVEITEM","<fmt:message key="WISHLIST_REMOVEITEM" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("WISHLIST_ADDED","<fmt:message key="WISHLIST_ADDED" bundle="${storeText}"/>");	
	ErrorHandler.setErrorMessage("SHOPCART_ADDED", "<fmt:message key="SHOPCART_ADDED" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("MYACCOUNT_ACTION_PERFORMED", "<fmt:message key="MYACCOUNT_ACTION_PERFORMED" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("ERROR_MESSAGE_TYPE", "<fmt:message key="ERROR_MESSAGE_TYPE" bundle="${storeText}"/>");
	ErrorHandler.setErrorMessage("UPDATE_SUCCESS", "<fmt:message key="UPDATE_SUCCESS" bundle="${storeText}"/>");
		AddressBookFormJS.setCommonParameters("<c:out value='${langId}'/>", "<c:out value='${WCParam.storeId}'/>","<c:out value='${WCParam.catalogId}'/>");
		MyAccountDisplay.setAjaxVar('${isAjax}');
		QuickCheckoutProfile.setCommonParameters("<c:out value='${langId}'/>", "<c:out value='${WCParam.storeId}'/>","<c:out value='${WCParam.catalogId}'/>");
        MyAccountDisplay.initMyAccountDisplayHistory("myAccountMain", "MyAccountCenterLinkDisplay_Widget", centerLinkUrl);

	parseWidget("MyAccountCenterLinkDisplay_Widget");
	parseWidget("Ext_MyAccountOrderStatusDisplay_Widget"); 
	
	});
	//my account history tracking
	dojo.addOnLoad(MyAccountDisplay.processBookmarkURL); 

	
	if('<c:out value="${WCParam.page}"/>'=='orderstatus'){
		dojo.addOnLoad(function() { MyAccountDisplay.loadContentFromURL('trackOrderStatus', '${trackOrderStatusURL}') }); 
	}
	if('<c:out value="${WCParam.loadPage}"/>'=='quickcheckout'){
		dojo.addOnLoad(function() { MyAccountDisplay.loadContentFromURL('checkoutProfile', '${profileFormViewURL}') }); 
	}
	if('<c:out value="${WCParam.page}"/>'=='customerlinkwishlist'){
		dojo.addOnLoad(function() { MyAccountDisplay.loadContentFromURL('wishList', '${interestItemDisplayURL}') }); 
	}

</script>
</head>
<body>
 <script type="text/javascript">
 dojo.back.init();
 </script>

 <flow:ifEnabled feature="AjaxMyAccountPage">
		<script type="text/javascript">
			MyAccountDisplay.setAjaxVar("true");
		</script>
</flow:ifEnabled>

<script type="text/javascript">
dojo.require("wc.render.common");
wc.render.declareContext(
	"MyAccountCenterLinkDisplay_Context",
	{workAreaMode: "myAccountMain"},
	"");
</script>

<script type="text/javascript">
dojo.require("wc.render.common");
wc.render.declareContext(
	"paymentContext",

	{payment1: "empty", payment2: "empty", payment3: "empty", currentAreaNumber: "1", 
		billingAddress1: "0", billingAddress2: "0", billingAddress3: "0",
		billingMode1: "none", billingMode2: "none", billingMode3: "none"},

	"");
</script>

<script type="text/javascript">
dojo.require("wc.render.common");
wc.render.declareContext(
	"checkoutContext",

	{addressId: "0", type: "0", prefix: ""},

	"");
</script>

<script type="text/javascript">
dojo.require("wc.render.common");
wc.render.declareContext(
	"addressBookContext",

	{addressId: "0", type: "0"},

	"");
</script>


<script type="text/javascript">
dojo.require("wc.render.common");
wc.render.declareRefreshController({
	id: "quickCheckoutController",
	renderContext: wc.render.getContextById("checkoutContext"),
	url: "${AddressFormURL}",
	formId: ""

	,renderContextChangedHandler: function(message, widget) {
		var controller = this;
		var renderContext = this.renderContext;
		if (controller.testForChangedRC(["addressId"])||controller.testForChangedRC(["type"])) {
			if (renderContext.properties.type == widget.objectId) {
				widget.refresh(renderContext.properties);
			}
	  }
	}

});
</script>

<script type="text/javascript">
dojo.require("wc.render.common");
wc.render.declareRefreshController({
	id: "addressBookController",
	renderContext: wc.render.getContextById("addressBookContext"),
	url: "${EditAddAddressURL}",
	formId: ""

	,renderContextChangedHandler: function(message, widget) {
		var controller = this;
		var renderContext = this.renderContext;
		if (controller.testForChangedRC(["addressId"])) {
			widget.refresh(renderContext.properties);
		} else if (controller.renderContext.properties["type"] == "add") {
			widget.refresh(renderContext.properties);
		}	 
	}

	,postRefreshHandler: function(widget) {
		var controller = this;
		var renderContext = this.renderContext;
		controller.renderContext.properties["addressId"] = "0";
		controller.renderContext.properties["type"] = "0";
	}

});
</script>

<script type="text/javascript">
dojo.require("wc.render.common");
wc.render.declareRefreshController({
	id: "MyAccountCenterLinkDisplay_Controller",
	renderContext: wc.render.getContextById("MyAccountCenterLinkDisplay_Context"),
	url: "",
	formId: ""

	,modelChangedHandler: function(message, widget) {
		var controller = this;
		var renderContext = this.renderContext;
		console.debug("in model change " + message.actionId);
		if (message.actionId == "updateAddress" || message.actionId == "AddressDelete") {
			widget.refresh(renderContext.properties);
		}
		if (message.actionId == "UserRegistrationUpdate" || message.actionId == "profileUpdate" || message.actionId == "updateAddressBook") {
			console.debug("model changed for UserRegistrationUpdate");
			controller.url = "${AjaxMyAccountCenterLinkDisplayURL}";
			wc.render.updateContext("MyAccountCenterLinkDisplay_Context", {workAreaMode:"myAccountMain"});
			document.getElementById(MyAccountDisplay.currentSelection).setAttribute("class","");
			document.getElementById(MyAccountDisplay.currentSelection).setAttribute("className","");
			QuickCheckoutProfile.changed = 'false';
		}
		if (message.actionId == "InterestItemListMessage" ) {
		    console.debug("model changed for InterestItemListMessage");
                var wishListSendToMsg = "<fmt:message key="WISHLIST_SENDTO" bundle="${storeText}" />";
		    var newWishListSendToMsg = wishListSendToMsg.replace("{0}", message.recipient);
		    document.getElementById("WishListEmailSucMsg_Div").innerHTML = newWishListSendToMsg;	
		    AccountWishListDisplay.clearWishListEmailForm("SendMsgForm");
		    setTimeout("dojo.byId('WishListEmailSucMsg_Div').focus()",2000);
		}
		if (message.actionId == "AjaxAddOrderItem" ) {
		    	
			console.debug("model changed for AjaxAddOrderItem");	
		}
	}

	,renderContextChangedHandler: function(message, widget) {
		var controller = this;
		var renderContext = this.renderContext;
		if (controller.testForChangedRC(["workAreaMode"])) {
	  		console.debug("test:render context value changed");
	  		MyAccountDisplay.contextChanged = true; //When context changed, we need create history tracking information
			widget.refresh(renderContext.properties);			
	 	}
		cursor_clear();
	}

	,postRefreshHandler: function(widget) {
		var controller = this;
		var renderContext = this.renderContext;
		console.debug("postrefreshscript is invoked");
		ErrorHandler.hideAndClearMessage();

		// Set MyAccountCenterLinkDisplay_Controller url
		wc.render.getContextById("WishlistDisplay_Context").properties["url"] ='${interestItemDisplayURL}';

		if(QuickCheckoutProfile.pageVar == 'quickcheckout')
		{
			ErrorHandler.displayStatusMessage(ErrorHandler.errorMessages["QC_UPDATE_SUCCESS"]);
			QuickCheckoutProfile.pageVar="";
		}
		if(AddressBookFormJS.pageVar == 'addressbook')
		{
			ErrorHandler.displayStatusMessage(ErrorHandler.errorMessages["AB_UPDATE_SUCCESS"]);
			AddressBookFormJS.pageVar="";
		}
		if(AddressBookFormJS.addressDeleted == 'true')
		{
			ErrorHandler.displayStatusMessage(ErrorHandler.errorMessages["AB_DELETE_SUCCESS"]);
			AddressBookFormJS.addressDeleted = 'false';
		}
		if(AddressBookFormJS.addressNew == 'true')
		{
			ErrorHandler.displayStatusMessage(ErrorHandler.errorMessages["AB_ADDNEW_SUCCESS"]);
			AddressBookFormJS.addressNew = 'false';
		}
		if (MyAccountDisplay.contextChanged && (!MyAccountDisplay.isHistory)){
		 	
		  	var identifier = "&identifier=" + (new Date()).getTime();
		  	console.debug("url in history tracker is " + controller.url + identifier);
		  	
		  	for (var prop in controller.renderContext.properties) {
				console.debug(prop + "=" + controller.renderContext.properties[prop]);
			}
		 	var historyObject = new MyAccountDisplay.HistoryTracker(controller.renderContext.properties["workAreaMode"], 'MyAccountCenterLinkDisplay_Widget', controller.url + identifier);
		  	dojo.back.addToHistory(historyObject);	
		  	MyAccountDisplay.contextChanged = false;
		  	MyAccountDisplay.isHistory = false;  
		}
		if (typeof postRefreshHandlerExt != "undefined") {
			postRefreshHandlerExt(controller.renderContext.properties["workAreaMode"]);
		}
		cursor_clear();
	}

});
</script>

<%-- 
     nextUrl is a parameter returned from wc dojo framework when an error has occured when excuting an AJAX action. 
     It specifies the next action to be performed after the user has logged on (so after this page is loaded)
--%>
 <script type="text/javascript">
	wc.service.declare({
		id: "MyAcctAjaxAddOrderItem",
		actionId: "AjaxAddOrderItem",
		url: "<c:out value="${WCParam.nextUrl}" escapeXml="false"/>",
		formId: ""
		,successHandler: function(serviceResponse) {
			ErrorHandler.hideAndClearMessage();
			ErrorHandler.displayStatusMessage(ErrorHandler.errorMessages["SHOPCART_ADDED"]);
			cursor_clear();
		}
		,failureHandler: function(serviceResponse) {
			if (serviceResponse.errorMessage) {
				ErrorHandler.displayErrorMessage(serviceResponse.errorMessage);
			} 
			else {
				 if (serviceResponse.errorMessageKey) {
					ErrorHandler.displayErrorMessage(serviceResponse.errorMessageKey);
				 }
			}
			cursor_clear();
		}

	});
	
	wc.service.declare({
		id: "MyAcctGenericService",
		actionId: "",
		url: "<c:out value="${WCParam.nextUrl}" escapeXml="false"/>",
		formId: ""
		,successHandler: function(serviceResponse) {
			ErrorHandler.hideAndClearMessage();
			ErrorHandler.displayStatusMessage(ErrorHandler.errorMessages["MYACCOUNT_ACTION_PERFORMED"]);
			cursor_clear();
		}
		,failureHandler: function(serviceResponse) {
			if (serviceResponse.errorMessage) {
				ErrorHandler.displayErrorMessage(serviceResponse.errorMessage);
			} 
			else {
				 if (serviceResponse.errorMessageKey) {
					ErrorHandler.displayErrorMessage(serviceResponse.errorMessageKey);
				 }
			}
			cursor_clear();
		}

	});
		
	var addToCartParams = [];
	// PasswordRequestAuthenticated is required by PasswordRequestCmdImpl - to indicate password is already entered by user. As we are in the my
	// account page, password is already entered and accepted.
	addToCartParams.PasswordRequestAuthenticated = 'TRUE';
	var myNextURL = '<c:out value="${WCParam.nextUrl}"/>';
	if('<c:out value="${WCParam.nextUrl}"/>'.length != 0){
		if('<c:out value="${WCParam.nextUrl}"/>'.indexOf('AjaxOrderChangeServiceItemAdd') != -1){
			dojo.addOnLoad(function() { invokeItemAdd(); }); 

		} else {
			dojo.addOnLoad(function() { invokeOtherService(); }); 
		}
	}
	function invokeItemAdd() {
		wc.service.invoke("MyAcctAjaxAddOrderItem", addToCartParams);
	}
	function invokeOtherService() {
		wc.service.invoke("MyAcctGenericService", addToCartParams);
	}

</script>
 
 
<%@ include file="../../include/StoreCommonUtilities.jspf"%>
<!-- Page Start -->
<div id="page">
     <input type="hidden" id="compareMsgDisplay" value="true"/>
	<%@ include file="../../include/LayoutContainerTop.jspf"%>
	<script type="text/javascript">
		if('<c:out value="${WCParam.page}"/>'=='quickcheckout'){
			dojo.addOnLoad(function() { 
				ErrorHandler.displayStatusMessage(ErrorHandler.errorMessages["QC_UPDATE_SUCCESS"]);
			});
	}
		if('<c:out value="${WCParam.page}"/>'=='addressbook'){
			dojo.addOnLoad(function() { 
				ErrorHandler.displayStatusMessage(ErrorHandler.errorMessages["AB_UPDATE_SUCCESS"]);
			});
	}
	</script>
	<%@ include file="../../Snippets/ReusableObjects/CatalogEntryQuickInfoDetails.jspf" %>
    <!-- Main Content Start -->
   		<c:choose>         
         <c:when test="${WCParam.myAcctMain == 1}">
		  <div id="box">
			<div class="my_account" id="WC_MyAccountDisplay_div_4">
				<flow:ifEnabled feature="AjaxMyAccountPage">
				<div dojoType="wc.widget.RefreshArea" id="MyAccountCenterLinkDisplay_Widget" controllerId="MyAccountCenterLinkDisplay_Controller" role="wairole:region" waistate:live="polite" waistate:atomic="false" waistate:relevant="all">
				</flow:ifEnabled>
					<div class="main_header" id="WC_MyAccountDisplay_div_5">
						<div class="left_corner" id="WC_MyAccountDisplay_div_6"></div>
						<div class="left" id="WC_MyAccountDisplay_div_7"><span class="main_header_text"><fmt:message key='MA_SUMMARY' bundle='${storeText}'/></span></div>
						<div class="right_corner" id="WC_MyAccountDisplay_div_8"></div>
					</div>
					<div class="contentline" id="WC_MyAccountDisplay_div_9">
						<div class="left_corner" id="WC_MyAccountDisplay_div_10"></div>
						<div class="left" id="WC_MyAccountDisplay_div_11"></div>
						<div class="right_corner" id="WC_MyAccountDisplay_div_12"></div>
					</div>
					<div class="body" id="WC_MyAccountDisplay_div_13">
						<%out.flush();%>
						<c:import url="${jspStoreDir}UserArea/AccountSection/MyAccountCenterLinkDisplay.jsp">  
								<c:param name="storeId" value="${WCParam.storeId}"/>
								<c:param name="catalogId" value="${WCParam.catalogId}"/>  
								<c:param name="langId" value="${langId}"/>
						</c:import>
						<%out.flush();%>  
					</div>
					<div class="footer" id="WC_MyAccountDisplay_div_14">
					  <div class="left_corner" id="WC_MyAccountDisplay_div_15"></div>
					  <div class="tile" id="WC_MyAccountDisplay_div_16"></div>
					  <div class="right_corner" id="WC_MyAccountDisplay_div_17"></div>
					</div>
				<flow:ifEnabled feature="AjaxMyAccountPage">
				</div>
				</flow:ifEnabled>
			</div>
		  </div>
		</c:when>
		<c:otherwise>		
			<div id="box">
			<div class="my_account" id="WC_MyAccountDisplay_div_18">
			<flow:ifEnabled feature="AjaxMyAccountPage">
				<div dojoType="wc.widget.RefreshArea" id="MyAccountCenterLinkDisplay_Widget" controllerId="MyAccountCenterLinkDisplay_Controller" role="wairole:region" waistate:live="polite" waistate:atomic="false" waistate:relevant="all"> </div>
			</flow:ifEnabled>
			</div>
			</div>
		</c:otherwise>
	  </c:choose>
     <!-- Main Content End -->
     <!-- Footer Start Start -->
	<%@ include file="../../include/LayoutContainerBottom.jspf"%>
     <!-- Footer Start End -->
</div>
<div id="page_shadow" class="shadow"></div>
</body>
</html>
