// AjaxOrderStatus.js

function prepareOrderCancel(OrderCancelURL){
		
	cursor_wait();
		wc.service.getServiceById("OrderCancel").url=OrderCancelURL;
		wc.service.invoke("OrderCancel");
};

wc.service.declare({
	id: "OrderCancel",
	actionId: "OrderCancel",
	url: "AjaxOrderCancel",
	formId: ""

	,successHandler: function(serviceResponse) {			
		MessageHelper.displayStatusMessage("Your order has been canceled");
		cursor_clear();
	}

	,failureHandler: function(serviceResponse) {		
		if (serviceResponse.errorMessage) {				
			MessageHelper.displayErrorMessage(serviceResponse.errorMessage);
		} 
		else {
			if (serviceResponse.errorMessageKey) {						
				MessageHelper.displayErrorMessage(serviceResponse.errorMessageKey);
			}
		}
		cursor_clear();		
	}
});

wc.render.declareContext("OrderStatusDisplay_Context",null,"");

wc.render.declareRefreshController({
	id: "OrderStatusDisplay_Controller",
	renderContext: wc.render.getContextById("OrderStatusDisplay_Context"),
 	url: "",
	formId: "",

	modelChangedHandler: function(message, widget) {
		var controller = this;
		var renderContext = this.renderContext;
       
		if(message.actionId == 'OrderCancel'){
			if (widget.id == 'Ext_OrderStatusCommonPage_Widget') {
				wc.render.updateContext( "OrderStatusDisplay_Context", {maLandingPage:"false", allOrders:"true"});
			}
			else if (widget.id == 'Ext_MyAccountOrderStatusDisplay_Widget') {
				wc.render.updateContext( "OrderStatusDisplay_Context", {maLandingPage:"true", allOrders:"false"});
			}
			widget.refresh(renderContext.properties);
		}
	}       
});
